﻿/**
 * Прицел (без сведения) средствами XVM
 *
 * https://kr.cm/f/t/37259/
 */
{
  "sight": {
    // true - включить моды
    // false - отключить моды
    "enabled": true,
    // Время отображения макросов {{py:...Target}} после потери цели
    "delayHideTarget": 3,
    // Сфера разлета осколков осколочно-фугасных снарядов
    "sphereDispersion": {
      // true - включить
      "enabled": true,
      // Для каких типов техники будет отображаться сфера. Возможные значения ["LT", "MT", "HT", "TD", "SPG"]
      "vtype": ["SPG"],
      // Отображение сферы по нажатию клавиши
      "hotkey": {
        // true - включить
        "enabled": true,
        // Коды клавиш можно посмотреть в файле /res_mods/mods/shared_resources/xvm/doc/keycodes.txt
        "keyCode": 56,
        // false - произвести действие по разовому нажатию клавиши. true - по удержанию
        "onHold": true
      }
    },
    // true - не отображать прицел после смерти
    "hideSightAfterDeath": false,
    // true - не отображать сетку прицела
    "removeIndicator": false,
    // true - не отображать центральный маркер
    "removeCentralMarker": false,
    // true - не отображать полосу перезарядки
    "removeLoad": false,
    // true - не отображать полосу прочности
    "removeCondition": false,
    // true - не отображать кассеты
    "removeContainers": false,
    // true - не отображать таймер перезарядки
    "removeLoadingTimer": false,
    // true - не отображать дистанцию до цели
    "removeDistance": true,
    // true - не отображать количество снарядов
    "removeQuantityShells": "{{.battle.camera.sniper.zoomIndicator.enabled}}",
    // Опция управляет отображением спидометра (значение по умолчанию - "wheels")
    // "none" - скрыть для любой техники, "all" - показывать для любой техники, "wheels" - показывать для колёсной техники
    "showSpeedometer": "wheels",
    // Тип снаряда (макрос {{py:sight.shellType}})
    "shellType": {
      "armor_piercing":      "{{l10n:armor_piercing}}",      // armor piercing / бронебойный
      "high_explosive":      "{{l10n:high_explosive}}",      // high explosive / осколочно-фугасный
      "high_explosive_stun": "{{l10n:high_explosive}}",      // stunning high explosive/ оглушающий осколочно-фугасный
      "armor_piercing_cr":   "{{l10n:armor_piercing_cr}}",   // armor piercing composite rigid / бронебойный подкалиберный
      "armor_piercing_he":   "{{l10n:armor_piercing_he}}",   // armor piercing high explosive / бронебойно-фугасный
      "hollow_charge":       "{{l10n:hollow_charge}}",       // high explosive anti-tank / кумулятивный
      "not_shell":           ""                              // empty / пусто
    },
    // Цвет по типу снаряда (макрос {{py:sight.shellTypeColor}}).
    "c:shellType": {
      "armor_piercing":      "#CCCCCC", // armor piercing / бронебойный
      "high_explosive":      "#CCCCCC", // high explosive / осколочно-фугасный
      "high_explosive_stun": "#CCCCCC", // stunning high explosive / оглушающий осколочно-фугасный
      "armor_piercing_cr":   "#CCCCCC", // armor piercing composite rigid / бронебойный подкалиберный
      "armor_piercing_he":   "#CCCCCC", // armor piercing high explosive / бронебойно-фугасный
      "hollow_charge":       "#CCCCCC", // high explosive anti-tank / кумулятивный
      "not_shell":           "#CCCCCC"  // empty / пусто
    },
    // Цвет шанса на пробитие (макрос {{py:sight.piercingChanceColor}})
    "c:piercingChance": {
      "not_pierced":    "#E82929",
      "little_pierced": "#E1C300",
      "great_pierced":  "#2ED12F",
      "not_target":     ""
    },
    // Выделение цели находящейся в автозахвате
    "autoAim": {
      "enabled": true,
      // Способ выделения техники. Возможные значения: "arrow", "cylinder"
      // "arrow"    - стрелка над техникой
      // "cylinder" - свечение вокруг техники
      // ""         - отключить выделение техники
      "markerType": "cylinder"
    }
  }
}
